#ifndef MOCKNETWORKPROPERTIESMODEL_H
#define MOCKNETWORKPROPERTIESMODEL_H

#include <QObject>

class MockNetworkPropertiesModel : public QObject
{
    Q_OBJECT
public:
    explicit MockNetworkPropertiesModel(QObject *parent = nullptr);
    ~MockNetworkPropertiesModel();

    const QString ipAddress() const;
    void setIpAddress(const QString &ipAddress);
    const QString netmask() const;
    void setNetmask(const QString &netmask);
};

#endif // MOCKNETWORKPROPERTIESMODEL_H
